<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="relatorioPedidoCompraVendaDataSintetico" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="3297e03e-5c48-4958-9ede-947192e2f76c">
	<property name="ireport.zoom" value="1.1269722013523664"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="logo" class="java.lang.Object"/>
	<parameter name="empresas" class="java.lang.String"/>
	<parameter name="dataInicial" class="java.lang.String"/>
	<parameter name="dataFinal" class="java.lang.String"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["D:\\Desenv\\Workspace\\nepalign\\src\\relatorios\\"]]></defaultValueExpression>
	</parameter>
	<parameter name="DSSub" class="java.lang.Object"/>
	<queryString>
		<![CDATA[select idEmpresaFisica, dataVencimento, descricaoEmpresa,  sum(valorLiquidoTotalCusto)
valorLiquidoTotalCusto, sum(valorDesconto) valorDesconto,
sum(valorAcrescimo) valorAcrescimo, sum(valorBrutoTotalCusto) valorBrutoTotalCusto
FROM tmpRelatorioCompraPorData
group by idEmpresaFisica, dataVencimento]]>
	</queryString>
	<field name="idEmpresaFisica" class="java.lang.Integer">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="dataVencimento" class="java.sql.Date">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="descricaoEmpresa" class="java.lang.String">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valorLiquidoTotalCusto" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valorDesconto" class="java.lang.Double">
		<fieldDescription><![CDATA[valorDesconto:Valor Desconto]]></fieldDescription>
	</field>
	<field name="valorAcrescimo" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="valorBrutoTotalCusto" class="java.lang.Double">
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<variable name="valorLiquidoTotalCusto_1" class="java.lang.Double" resetType="Group" resetGroup="empresa" calculation="Sum">
		<variableExpression><![CDATA[$F{valorLiquidoTotalCusto}]]></variableExpression>
	</variable>
	<variable name="valorAcrescimo_1" class="java.lang.Double" resetType="Group" resetGroup="empresa" calculation="Sum">
		<variableExpression><![CDATA[$F{valorAcrescimo}]]></variableExpression>
	</variable>
	<variable name="valorDesconto_1" class="java.lang.Double" resetType="Group" resetGroup="empresa" calculation="Sum">
		<variableExpression><![CDATA[$F{valorDesconto}]]></variableExpression>
	</variable>
	<variable name="valorBrutoTotalCusto_1" class="java.lang.Double" resetType="Group" resetGroup="empresa" calculation="Sum">
		<variableExpression><![CDATA[$F{valorBrutoTotalCusto}]]></variableExpression>
	</variable>
	<group name="empresa">
		<groupExpression><![CDATA[$F{idEmpresaFisica}]]></groupExpression>
		<groupHeader>
			<band height="32">
				<rectangle>
					<reportElement uuid="51bd73bf-0b8c-46dc-9c91-9693a403157f" x="1" y="1" width="552" height="14" forecolor="#CCCCCC" backcolor="#E8E2E2"/>
				</rectangle>
				<textField>
					<reportElement uuid="b9b8ca3a-7d11-42fb-aff9-244e89aa641e" x="20" y="0" width="232" height="14"/>
					<textElement>
						<font size="10" isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{descricaoEmpresa}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement uuid="0f80c4dd-65ca-45f5-8ec8-ffe47bec4caf" x="2" y="19" width="60" height="12" forecolor="#000000"/>
					<textElement textAlignment="Center">
						<font size="8" isBold="true" isItalic="false"/>
					</textElement>
					<text><![CDATA[Mes/Ano Venc]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="94400826-53f7-4a4f-a2d5-0e6e723e1f23" x="127" y="19" width="59" height="12" forecolor="#000000"/>
					<textElement textAlignment="Right">
						<font size="8" isBold="true" isItalic="false"/>
					</textElement>
					<text><![CDATA[Valor Bruto]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="519af796-4227-41b9-a7d0-41a4508c7192" x="232" y="18" width="59" height="12" forecolor="#000000"/>
					<textElement textAlignment="Right">
						<font size="8" isBold="true" isItalic="false"/>
					</textElement>
					<text><![CDATA[Desconto]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="d29c9ac5-b423-4254-b1d9-2c6d0dc17e99" x="462" y="18" width="59" height="12" forecolor="#000000"/>
					<textElement textAlignment="Right">
						<font size="8" isBold="true" isItalic="false"/>
					</textElement>
					<text><![CDATA[Valor Líquido]]></text>
				</staticText>
				<staticText>
					<reportElement uuid="bcb77036-7e4a-4985-8b83-b45b4101d172" x="348" y="18" width="59" height="12" forecolor="#000000"/>
					<textElement textAlignment="Right">
						<font size="8" isBold="true" isItalic="false"/>
					</textElement>
					<text><![CDATA[Acréscimo]]></text>
				</staticText>
				<line>
					<reportElement uuid="a436950f-4a94-458a-bd52-e3f3381e612d" x="1" y="29" width="552" height="1"/>
				</line>
				<textField>
					<reportElement uuid="4b0630a2-8029-4f72-8b6c-1acee58db6e2" x="0" y="0" width="15" height="14"/>
					<textElement textAlignment="Right">
						<font isBold="true"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{idEmpresaFisica}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="18">
				<line>
					<reportElement uuid="72bd605d-23ea-426d-b41b-8d1a7656c1cc" x="1" y="0" width="552" height="1"/>
				</line>
				<textField pattern="#,##0.00;(#,##0.00)">
					<reportElement uuid="ffe7a06a-5663-44ac-99b0-b6769cf3d84e" x="426" y="1" width="95" height="15"/>
					<textElement textAlignment="Right"/>
					<textFieldExpression><![CDATA[$V{valorLiquidoTotalCusto_1}]]></textFieldExpression>
				</textField>
				<textField pattern="#,##0.00;(-#,##0.00)">
					<reportElement uuid="4731ade1-e7c4-4aa3-b223-89a5ee87307e" x="328" y="1" width="80" height="15"/>
					<textElement textAlignment="Right"/>
					<textFieldExpression><![CDATA[$V{valorAcrescimo_1}]]></textFieldExpression>
				</textField>
				<textField pattern="#,##0.00;(-#,##0.00)">
					<reportElement uuid="fb1e8174-a90e-4fc3-b4a0-0b1fa9a93056" x="217" y="1" width="74" height="15"/>
					<textElement textAlignment="Right"/>
					<textFieldExpression><![CDATA[$V{valorDesconto_1}]]></textFieldExpression>
				</textField>
				<textField pattern="#,##0.00;(#,##0.00)">
					<reportElement uuid="13f5946e-e0ed-4fea-84aa-2f2ebe923fc7" x="86" y="1" width="100" height="15"/>
					<textElement textAlignment="Right"/>
					<textFieldExpression><![CDATA[$V{valorBrutoTotalCusto_1}]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="51" splitType="Stretch">
			<image>
				<reportElement uuid="64cb1114-a2e6-4b79-9613-81daf6e87f5a" x="2" y="0" width="100" height="50"/>
				<imageExpression><![CDATA[$P{logo}]]></imageExpression>
			</image>
			<staticText>
				<reportElement uuid="ef9fba91-0d98-4d0e-b41f-7eab85b8afb0" x="102" y="0" width="210" height="17" forecolor="#000000"/>
				<textElement>
					<font size="12" isBold="true" isItalic="false"/>
				</textElement>
				<text><![CDATA[Resumo de Pedidos a Receber]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="b520efbc-d899-4868-aae2-e2252ca24849" x="102" y="17" width="50" height="12" forecolor="#000000"/>
				<textElement>
					<font size="8" isBold="true" isItalic="false"/>
				</textElement>
				<text><![CDATA[Empresas:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="a3649fcc-e9d3-431c-8387-3cf0904a28e5" x="102" y="28" width="50" height="12" forecolor="#000000"/>
				<textElement>
					<font size="8" isBold="true" isItalic="false"/>
				</textElement>
				<text><![CDATA[Data Incial:]]></text>
			</staticText>
			<staticText>
				<reportElement uuid="bc5ece29-929b-4600-ac01-70863119d658" x="102" y="39" width="50" height="12" forecolor="#000000"/>
				<textElement>
					<font size="8" isBold="true" isItalic="false"/>
				</textElement>
				<text><![CDATA[Data Final:]]></text>
			</staticText>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement uuid="a88eebf0-d35d-476f-a39c-e80b3a6e8d08" x="152" y="17" width="197" height="12"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{empresas}.equals("")?"TODAS":$P{empresas}.toString())]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement uuid="01a8a5e3-5210-411a-b181-b40d7b339d13" x="152" y="28" width="100" height="12"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{dataInicial}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement uuid="dcd0389e-24c1-4886-bbaa-e0e8ef1ed931" x="152" y="39" width="100" height="12"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{dataFinal}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="5e55096d-306c-4abc-911e-93d48d89ad52" x="465" y="1" width="87" height="13"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[new java.util.Date()]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="13" splitType="Stretch">
			<textField pattern="#,##0.00;(-#,##0.00)">
				<reportElement uuid="2be55f64-450d-4f01-9ac1-bdfc7490794a" x="127" y="0" width="59" height="12"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valorBrutoTotalCusto}]]></textFieldExpression>
			</textField>
			<textField pattern="MM/yyyy">
				<reportElement uuid="6cfb450f-d6d4-4c8a-888c-ef8935a716a9" x="2" y="0" width="50" height="12"/>
				<textElement textAlignment="Center">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dataVencimento}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;(-#,##0.00)">
				<reportElement uuid="227e3f9a-8583-4ad3-b5c6-fddfd5190be9" x="232" y="0" width="59" height="12"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valorDesconto}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;(-#,##0.00)">
				<reportElement uuid="4de64fcd-3cfb-41a1-a492-bbf66c65c74c" x="349" y="0" width="59" height="12"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valorAcrescimo}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;(-#,##0.00)">
				<reportElement uuid="5aa3ebd1-373e-4ec0-a32d-76b5565d0f41" x="462" y="0" width="59" height="12"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{valorLiquidoTotalCusto}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="16" splitType="Stretch">
			<textField evaluationTime="Report">
				<reportElement uuid="78fd2a23-4518-45bd-802c-5a0532f31e13" mode="Opaque" x="514" y="3" width="40" height="13" backcolor="#FFFFFF"/>
				<textElement>
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[" " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement uuid="99e1b8d5-705a-43c3-b108-10ebea6269b7" mode="Opaque" x="328" y="3" width="186" height="13" backcolor="#FFFFFF"/>
				<textElement textAlignment="Right">
					<font size="8"/>
				</textElement>
				<textFieldExpression><![CDATA["Pagina "+$V{PAGE_NUMBER}+" de"]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
	<summary>
		<band height="35" splitType="Stretch">
			<subreport>
				<reportElement uuid="fcf63366-f94f-47a1-88ed-48112029ef04" x="0" y="0" width="553" height="35"/>
				<subreportParameter name="SUBREPORT_DIR">
					<subreportParameterExpression><![CDATA[$P{SUBREPORT_DIR}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="empresas">
					<subreportParameterExpression><![CDATA[$P{empresas}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="logo">
					<subreportParameterExpression><![CDATA[$P{logo}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataFinal">
					<subreportParameterExpression><![CDATA[$P{dataFinal}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="dataInicial">
					<subreportParameterExpression><![CDATA[$P{dataInicial}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="DSSub">
					<subreportParameterExpression><![CDATA[$P{DSSub}]]></subreportParameterExpression>
				</subreportParameter>
				<dataSourceExpression><![CDATA[$P{DSSub}]]></dataSourceExpression>
				<subreportExpression><![CDATA[$P{SUBREPORT_DIR} + "relatorioTotaisDocumentoEntradaSaidaBaixados.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</summary>
</jasperReport>
